import { useCallback as r } from "react";
import { e as c, f as u } from "./FetchConfigsUtils-476a602b.mjs";
const p = {
  alerts: []
}, f = c(p);
function A() {
  const [t, e] = u(f), a = r((s) => {
    e((n) => ({ alerts: [...n.alerts, s] }));
  }, []), o = r(() => {
    const s = t.alerts.shift();
    return e({ alerts: t.alerts }), s;
  }, [t.alerts]), l = r(() => {
    const s = t.alerts;
    return e({ alerts: [] }), s;
  }, [t.alerts]);
  return {
    state: t,
    mutations: {
      push: a,
      pop: o,
      popAll: l
    }
  };
}
export {
  A as u
};
